org.jbpm.workflow.core.node

## Class RuleSetNode

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.impl.ExtendedNodeImpl
    - - org.jbpm.workflow.core.node.StateBasedNode
      - - org.jbpm.workflow.core.node.RuleSetNode

- All Implemented Interfaces:
    Serializable, Contextable, ContextContainer, ContextResolver, org.kie.api.definition.process.Node

      public class RuleSetNode
      extends StateBasedNode
      implements ContextContainer

  Default implementation of a RuleSet node.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DMN_LANG`
    `static String` | `DRL_LANG`

    - ### Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `EVENT_NODE_BOUNDARY, EVENT_NODE_ENTER, EVENT_NODE_EXIT`

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `constraints, EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleSetNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContext(Context context)`
    `void` | `addInAssociation(DataAssociation dataAssociation)`
    `void` | `addInMapping(String parameterName, String variableName)`
    `void` | `addOutAssociation(DataAssociation dataAssociation)`
    `void` | `addOutMapping(String parameterName, String variableName)`
    `Context` | `getContext(String contextId)`
    `Context` | `getContext(String contextType, long id)`
    `List<Context>` | `getContexts(String contextType)`
    `String` | `getDecision()`
    `String` | `getDecisionService()`
    `Context` | `getDefaultContext(String contextType)`
    `List<DataAssociation>` | `getInAssociations()`
    `String` | `getInMapping(String parameterName)`
    `Map<String,String>` | `getInMappings()`
    `String` | `getLanguage()`
    `String` | `getModel()`
    `String` | `getNamespace()`
    `List<DataAssociation>` | `getOutAssociations()`
    `String` | `getOutMapping(String parameterName)`
    `Map<String,String>` | `getOutMappings()`
    `Object` | `getParameter(String param)`
    `Map<String,Object>` | `getParameters()`
    `String` | `getRuleFlowGroup()`
    `boolean` | `isDMN()`
    `Object` | `removeParameter(String param)`
    `void` | `setDecision(String decision)`
    `void` | `setDecisionService(String decisionService)`
    `void` | `setDefaultContext(Context context)`
    `void` | `setInMappings(Map<String,String> inMapping)`
    `void` | `setLanguage(String language)`
    `void` | `setModel(String model)`
    `void` | `setNamespace(String namespace)`
    `void` | `setOutMappings(Map<String,String> outMapping)`
    `void` | `setParameter(String param, Object value)`
    `void` | `setParameters(Map<String,Object> parameters)`
    `void` | `setRuleFlowGroup(String ruleFlowGroup)`
    `void` | `validateAddIncomingConnection(String type, org.kie.api.definition.process.Connection connection)`
    `void` | `validateAddOutgoingConnection(String type, org.kie.api.definition.process.Connection connection)`

    - ### Methods inherited from class org.jbpm.workflow.core.node.StateBasedNode

      `addBoundaryEvents, addTimer, getBoundaryEvents, getTimers, removeAllTimers, setBoundaryEvents`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `containsActions, getActions, getActionTypes, setActions`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `addConstraint, addIncomingConnection, addOutgoingConnection, clearIncomingConnection, clearOutgoingConnection, getConstraint, getConstraints, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getNodeType, getNodeUniqueId, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, setNodeType, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DRL_LANG

          public static final String DRL_LANG

      See Also:
        Constant Field Values

    - #### DMN_LANG

          public static final String DMN_LANG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RuleSetNode

          public RuleSetNode()

  - ### Method Detail

    - #### setRuleFlowGroup

          public void setRuleFlowGroup(String ruleFlowGroup)

    - #### getRuleFlowGroup

          public String getRuleFlowGroup()

    - #### getLanguage

          public String getLanguage()

    - #### setLanguage

          public void setLanguage(String language)

    - #### getNamespace

          public String getNamespace()

    - #### setNamespace

          public void setNamespace(String namespace)

    - #### getModel

          public String getModel()

    - #### setModel

          public void setModel(String model)

    - #### getDecision

          public String getDecision()

    - #### setDecision

          public void setDecision(String decision)

    - #### getDecisionService

          public String getDecisionService()

    - #### setDecisionService

          public void setDecisionService(String decisionService)

    - #### validateAddIncomingConnection

          public void validateAddIncomingConnection(String type,
                                                    org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateAddIncomingConnection` in class `NodeImpl`

    - #### validateAddOutgoingConnection

          public void validateAddOutgoingConnection(String type,
                                                    org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateAddOutgoingConnection` in class `NodeImpl`

    - #### addInMapping

          public void addInMapping(String parameterName,
                                   String variableName)

    - #### setInMappings

          public void setInMappings(Map<String,String> inMapping)

    - #### getInMapping

          public String getInMapping(String parameterName)

    - #### getInMappings

          public Map<String,String> getInMappings()

    - #### addInAssociation

          public void addInAssociation(DataAssociation dataAssociation)

    - #### getInAssociations

          public List<DataAssociation> getInAssociations()

    - #### addOutMapping

          public void addOutMapping(String parameterName,
                                    String variableName)

    - #### setOutMappings

          public void setOutMappings(Map<String,String> outMapping)

    - #### getOutMapping

          public String getOutMapping(String parameterName)

    - #### getOutMappings

          public Map<String,String> getOutMappings()

    - #### addOutAssociation

          public void addOutAssociation(DataAssociation dataAssociation)

    - #### getOutAssociations

          public List<DataAssociation> getOutAssociations()

    - #### getParameters

          public Map<String,Object> getParameters()

    - #### setParameters

          public void setParameters(Map<String,Object> parameters)

    - #### setParameter

          public void setParameter(String param,
                                   Object value)

    - #### getParameter

          public Object getParameter(String param)

    - #### removeParameter

          public Object removeParameter(String param)

    - #### isDMN

          public boolean isDMN()

    - #### getContexts

          public List<Context> getContexts(String contextType)

      Specified by:
        `getContexts` in interface `ContextContainer`

    - #### addContext

          public void addContext(Context context)

      Specified by:
        `addContext` in interface `ContextContainer`

    - #### getContext

          public Context getContext(String contextType,
                                    long id)

      Specified by:
        `getContext` in interface `ContextContainer`

    - #### setDefaultContext

          public void setDefaultContext(Context context)

      Specified by:
        `setDefaultContext` in interface `ContextContainer`

    - #### getDefaultContext

          public Context getDefaultContext(String contextType)

      Specified by:
        `getDefaultContext` in interface `ContextContainer`

    - #### getContext

          public Context getContext(String contextId)

      Specified by:
        `getContext` in interface `Contextable`
      Overrides:
        `getContext` in class `NodeImpl`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.